import { useEffect } from "react";
import { EventRegister } from "@tecnavia/react-native-event-listeners";
import { Events } from "./events";
export const useJavascriptInjection = ref => {
  useEffect(() => {
    const tcDataId = EventRegister.on(Events.ASK_TC_DATA, () => {
      var _ref$current;
      (_ref$current = ref.current) === null || _ref$current === void 0 || _ref$current.injectJavaScript("askTcData()");
    });
    const uspDataId = EventRegister.on(Events.ASK_USP_DATA, () => {
      var _ref$current2;
      (_ref$current2 = ref.current) === null || _ref$current2 === void 0 || _ref$current2.injectJavaScript("askUspData()");
    });
    const showDrawerId = EventRegister.on(Events.SHOW_DRAWER, () => {
      var _ref$current3;
      (_ref$current3 = ref.current) === null || _ref$current3 === void 0 || _ref$current3.injectJavaScript("showDrawer()");
    });
    const showDialogId = EventRegister.on(Events.SHOW_DIALOG, () => {
      var _ref$current4;
      (_ref$current4 = ref.current) === null || _ref$current4 === void 0 || _ref$current4.injectJavaScript("showDialog()");
    });
    const changeConsentId = EventRegister.on(Events.CHANGE_CONSENT, () => {
      var _ref$current5;
      (_ref$current5 = ref.current) === null || _ref$current5 === void 0 || _ref$current5.injectJavaScript("changeConsent()");
    });
    const clearConsentId = EventRegister.on(Events.CLEAR_CONSENT, () => {
      var _ref$current6;
      (_ref$current6 = ref.current) === null || _ref$current6 === void 0 || _ref$current6.injectJavaScript("clearConsent()");
    });
    const getConsentDate = EventRegister.on(Events.GET_CONSENT_DATE, () => {
      var _ref$current7;
      (_ref$current7 = ref.current) === null || _ref$current7 === void 0 || _ref$current7.injectJavaScript("getConsentDate()");
    });
    const getConsentDataId = EventRegister.on(Events.ASK_CONSENT_DATA, () => {
      var _ref$current8;
      (_ref$current8 = ref.current) === null || _ref$current8 === void 0 || _ref$current8.injectJavaScript("askConsentData()");
    });
    const askVendorListDataId = EventRegister.on(Events.ASK_VENDOR_LIST_DATA, () => {
      var _ref$current9;
      (_ref$current9 = ref.current) === null || _ref$current9 === void 0 || _ref$current9.injectJavaScript("askVendorListData()");
    });
    return () => {
      EventRegister.rm(tcDataId);
      EventRegister.rm(uspDataId);
      EventRegister.rm(showDrawerId);
      EventRegister.rm(showDialogId);
      EventRegister.rm(changeConsentId);
      EventRegister.rm(clearConsentId);
      EventRegister.rm(getConsentDate);
      EventRegister.rm(getConsentDataId);
      EventRegister.rm(askVendorListDataId);
    };
  }, [ref]);
};
//# sourceMappingURL=useJavascriptInjection.js.map